javax.media.j3d

## Class WakeupOnTransformChange

- java.lang.Object
- - javax.media.j3d.WakeupCondition
  - - javax.media.j3d.WakeupCriterion
    - - javax.media.j3d.WakeupOnTransformChange

    public final class WakeupOnTransformChange
    extends WakeupCriterion

Class specifying a wakeup when the transform within a specified TransformGroup changes

### Constructor Summary

Constructors
Constructor and Description
`WakeupOnTransformChange(TransformGroup node)` Constructs a new WakeupOnTransformChange criterion.

### Method Summary

Methods
`TransformGroup` `getTransformGroup()` Returns the TransformGroup node used in creating this WakeupCriterion

### Methods inherited from class javax.media.j3d.WakeupCriterion

`hasTriggered`

### Methods inherited from class javax.media.j3d.WakeupCondition

`allElements, triggeredElements`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WakeupOnTransformChange

    public WakeupOnTransformChange(TransformGroup node)

Constructs a new WakeupOnTransformChange criterion.

Parameters:
  `node` - the TransformGroup node that will trigger a wakeup if its transform is modified

### Method Detail

#### getTransformGroup

    public TransformGroup getTransformGroup()

Returns the TransformGroup node used in creating this WakeupCriterion

Returns:
  the TransformGroup used in this criterion's construction